<ng-container *ngIf="subjects.length else loading_screen">

  <section class="content-header">
    <h1 class="page-head-line">List of subjects</h1>
  </section>

  <section class="content">
    <div class="col-md-6 p-0 col-sm-8 mb-4">
      <input type='text' name="search" [(ngModel)]="search" (keyup)='updateFilter()' class="form-control form-control-sm mb-0"
        placeholder='Seach here' />
    </div>
    <ngx-datatable #tblSubject class="material mb-4" [rows]="subjects" [loadingIndicator]="loading" [columnMode]="'force'" [headerHeight]="45"
      [footerHeight]="40" [rowHeight]="'auto'" [limit]="10">

      <ngx-datatable-column name="Schedule code">
        <ng-template let-row="row" ngx-datatable-cell-template>
          <a href="#" routerLink="/teacher/subjects/{{row.id}}">{{ row.head.schedule_code }}</a>
        </ng-template>
      </ngx-datatable-column>
      <ngx-datatable-column prop="from_time" name="From"></ngx-datatable-column>
      <ngx-datatable-column prop="to_time" name="To"></ngx-datatable-column>
      <ngx-datatable-column prop="subject.subject_code" name="Subject code"></ngx-datatable-column>
      <ngx-datatable-column prop="subject.subject_name" name="Subject name"></ngx-datatable-column>

      <ngx-datatable-column prop="room.room_name" name="Room"></ngx-datatable-column>

    </ngx-datatable>
  </section>
</ng-container>


<ng-template #loading_screen>
  <app-loading></app-loading>
</ng-template>